package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ApiApischemeDetailRequest struct {
	// 标准方案的ID【仅标准方案（去调试）功能使用的参数，用于定位到标准集成方案所在位置】
	StandardSchemeId *int64 `json:"standardSchemeId,omitempty"`
	// 集成方案ID
	Id *int64 `json:"id,omitempty"`
}

func (obj ApiApischemeDetailRequest) GetUrl() string {
	return "/api/apischeme/detail"
}

func (obj ApiApischemeDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("standardSchemeId", obj.StandardSchemeId)
	parameter.AddParam("id", obj.Id)
	return parameter
}
